Subject: bug#49669: closed (Re: bug#49669: 13.0.12; TeX-source-correlate-mode cannot be activated)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 22 Jul 2021 05:51:01 +0000

Your bug report

#49669: 13.0.12; TeX-source-correlate-mode cannot be activated

which was filed against the auctex package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
49669: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=49669
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#49669: 13.0.12; TeX-source-correlate-mode cannot be activated
From: Tassilo Horn <[email-masked]>
To: Daniel Greenidge <[email-masked]>
Cc: [email-masked]
Date: Thu, 22 Jul 2021 07:48:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Daniel Greenidge <[email-masked]> writes:

Hi Daniel,

> Thanks so much for your help! Upon inspecting the stack trace I
> discovered that the problem is caused by the way the use-package macro
> configures hooks. I managed to come up with a workaround.
>
> Since the issue isn’t the responsibility of AucTeX, I think this
> bug can be closed.

Ok, I'm closing this report.  But feel free to reply anyway with the
exact details that made the error appear so that we can refer to your
solution if the issue pops up again for another user.

Bye,
Tassilo

Subject: 13.0.12; TeX-source-correlate-mode cannot be activated
From: Daniel Greenidge <[email-masked]>
To: [email-masked]
Date: Tue, 20 Jul 2021 16:59:34 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello all,

When I activate TeX-source-correlate mode with C-c C-t C-s, I receive the
following error message:

Autoloading file /Users/cdg4/.config/emacs/elpa/auctex-13.0.12/auctex.elc
failed to define function auctex

I think this is a bug, since everything else in the package seems to work
perfectly. In case it matters, I installed the package from ELPA using
use-package:

(use-package auctex
	:ensure t
	; configuration code omitted
	)

Best,
Daniel

Emacs  : GNU Emacs 27.2 (build 1, x86_64-apple-darwin20.5.0, NS appkit-2022.50 Version 11.4 (Build 20F71))
 of 2021-07-06
Package: 13.0.12

current state:
==============
(setq
 AUCTeX-date "2021-06-06"
 window-system 'ns
 LaTeX-version "2e"
 TeX-style-path '("/usr/local/var/auctex" "/Users/cdg4/.config/emacs/elpa/auctex-13.0.12/style"
		  "/Users/cdg4/.config/emacs/auctex/auto" "/Users/cdg4/.config/emacs/auctex/style" "auto" "style")
 TeX-auto-save nil
 TeX-parse-self nil
 TeX-master t
 TeX-command-list '(("TeX" "%(PDF)%(tex) %(file-line-error) %`%(extraopts) %S%(PDFout)%(mode)%' %(output-dir) %t" TeX-run-TeX
		     nil (plain-tex-mode ams-tex-mode texinfo-mode) :help "Run plain TeX")
		    ("LaTeX" "%`%l%(mode)%' %T" TeX-run-TeX nil (latex-mode doctex-mode) :help "Run LaTeX")
		    ("Makeinfo" "makeinfo %(extraopts) %(o-dir) %t" TeX-run-compile nil (texinfo-mode) :help
		     "Run Makeinfo with Info output")
		    ("Makeinfo HTML" "makeinfo %(extraopts) %(o-dir) --html %t" TeX-run-compile nil (texinfo-mode) :help
		     "Run Makeinfo with HTML output")
		    ("AmSTeX" "amstex %(PDFout) %`%(extraopts) %S%(mode)%' %(output-dir) %t" TeX-run-TeX nil (ams-tex-mode)
		     :help "Run AMSTeX")
		    ("ConTeXt" "%(cntxcom) --once --texutil %(extraopts) %(execopts)%t" TeX-run-TeX nil (context-mode) :help
		     "Run ConTeXt once")
		    ("ConTeXt Full" "%(cntxcom) %(extraopts) %(execopts)%t" TeX-run-TeX nil (context-mode) :help
		     "Run ConTeXt until completion")
		    ("BibTeX" "bibtex %(O?aux)" TeX-run-BibTeX nil
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode context-mode) :help "Run BibTeX")
		    ("Biber" "biber %s %(output-dir)" TeX-run-Biber nil
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help "Run Biber")
		    ("View" "%V" TeX-run-discard-or-function t t :help "Run Viewer")
		    ("Print" "%p" TeX-run-command t t :help "Print the file")
		    ("Queue" "%q" TeX-run-background nil t :help "View the printer queue" :visible TeX-queue-command)
		    ("File" "%(o?)dvips %d -o %f " TeX-run-dvips t
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help "Generate PostScript file")
		    ("Dvips" "%(o?)dvips %d -o %f " TeX-run-dvips nil
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help "Convert DVI file to PostScript")
		    ("Dvipdfmx" "dvipdfmx %d -o %(O?pdf)" TeX-run-dvipdfmx nil
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help
		     "Convert DVI file to PDF with dvipdfmx")
		    ("Ps2pdf" "ps2pdf %f %(O?pdf)" TeX-run-ps2pdf nil
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help "Convert PostScript file to PDF")
		    ("Glossaries" "makeglossaries %(O?aux)" TeX-run-command nil
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help
		     "Run makeglossaries to create glossary file")
		    ("Index" "makeindex %(O?idx)" TeX-run-index nil
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help
		     "Run makeindex to create index file")
		    ("upMendex" "upmendex %(O?idx)" TeX-run-index t
		     (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode) :help
		     "Run upmendex to create index file")
		    ("Xindy" "texindy %s" TeX-run-command nil (plain-tex-mode latex-mode doctex-mode ams-tex-mode texinfo-mode)
		     :help "Run xindy to create index file")
		    ("Check" "lacheck %s" TeX-run-compile nil (latex-mode) :help "Check LaTeX file for correctness")
		    ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil (latex-mode) :help "Check LaTeX file for common mistakes")
		    ("Spell" "(TeX-ispell-document \"\")" TeX-run-function nil t :help "Spell-check the document")
		    ("Clean" "TeX-clean" TeX-run-function nil t :help "Delete generated intermediate files")
		    ("Clean All" "(TeX-clean t)" TeX-run-function nil t :help "Delete generated intermediate and output files")
		    ("Other" "" TeX-run-command t t :help "Run an arbitrary command"))
 )